### Function

# GLib PtrArray remove_index_fast

#### Declaration [src]

    gpointer
    g_ptr_array_remove_index_fast (
      GPtrArray* array,
      guint index_
    )

#### Description [src]

Removes the pointer at the given index from the pointer array. The last element in the array is used to fill in the space, so this function does not preserve the order of the array. But it is faster than `g_ptr_array_remove_index()`. If `array` has a non-`NULL` `GDestroyNotify` function it is called for the removed element. If so, the return value from this function will potentially point to freed memory (depending on the `GDestroyNotify` implementation).

This function is not directly available to language bindings.

#### Parameters

`array`

  Type: An array of `gpointer`

  A pointer array.

  The data is owned by the caller of the function.

`index_`

  Type: `guint`

  The index of the pointer to remove.

#### Return value

Type: `gpointer`

The pointer which was removed.

The data is owned by the called function.
The return value can be `NULL`.